Qt-ruby在windows的处境

Qt本身是C++程序开发时的图形界面库,看惯了MFC等常见界面,换用Qt界面乍一看感觉很清新。

Ruby 脚本用起来也是很方便的,平时做个简单的功能实现十分快捷,通常都是基于命令行的执行过程。

如果想用Ruby写个图形界面具有一定可用性的软件的话,就需要第三方图形库的支持。可选择的图形库并不止Qt一种,精力有限,就简单讨论下一Qt和ruby的结合吧。

如果是在linux下进行ruby开发,可以选择最新版本的ruby和QT进行组合。但如果是在windows下开发程序就比较受限制了。

Qt需要gcc编译环境,所以你需要安装额外的编译器。同时为了绑定Qt到ruby,还需要作一些关联工作。还好这些工作已经有人系统化的完成了一部分。在wiki上可以找到对应的工具和说明,但目前仅支持ruby 1.8.6 和 Qt 4.3.4的绑定。所以如果你打算再windows下用ruby开发图形界面,安装时就要注意版本号了~

具体的安装方法在那人的wiki上说的比较明确了,我就不罗嗦了。

Qt编写界面可以用Qt提供的IDE先画好界面,然后生成ui文件。用ruby下的rbuic(或者rbuic4)转化为rb文件就行了。

具体的qt函数可以参考Qt的文档手册,改成ruby的库调用方式就行了。(比如QTimer -> Qt::Timer)

编号的rb文件如果想要转化为exe文件,还需要借助exerb这个工具,但为了保险起见,可以把相关的dll业都包含到生成的exe目录当中,以便于在没有装QT-ruby的电脑上运行)

Tagged , , . Bookmark the permalink.

发表评论

电子邮件地址不会被公开。 必填项已用*标注